VREDeploymentPresenter (VRE Manager Portlet 5.3.0-SNAPSHOT API)
Date: 2015-11-20

org.gcube.portlets.admin.vredeployment.client.presenter

## Class VREDeploymentPresenter

- java.lang.Object
- - org.gcube.portlets.admin.vredeployment.client.presenter.VREDeploymentPresenter

- All Implemented Interfaces:
    Presenter

      public class VREDeploymentPresenter
      extends Object
      implements Presenter

  Author:
    Massimiliano Assante (assante@isti.cnr.it)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDeploymentPresenter(VREDeploymentServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus, Display display)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind()`
    `protected void` | `doUndeploy(String vreEPR, String vreName)`
    `void` | `getUrl()` Get URL from browser
    `void` | `go(com.google.gwt.user.client.ui.HasWidgets container)` go method
    `void` | `loadDefinition()` Redirect to VRE Definition Portlet
    `void` | `loadDeployer()` Redirect to VRE Deployer Portlet

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VREDeploymentPresenter

          public VREDeploymentPresenter(VREDeploymentServiceAsync rpcService,
                                com.google.gwt.event.shared.HandlerManager eventBus,
                                Display display)

      Parameters:
        `rpcService` -
        `eventBus` -
        `display` -

  - ### Method Detail

    - #### bind

          public void bind()

    - #### go

          public void go(com.google.gwt.user.client.ui.HasWidgets container)

      go method
      Specified by:
        `go` in interface `Presenter`

    - #### doUndeploy

          protected void doUndeploy(String vreEPR,
                        String vreName)

    - #### loadDeployer

          public void loadDeployer()

      Redirect to VRE Deployer Portlet

    - #### loadDefinition

          public void loadDefinition()

      Redirect to VRE Definition Portlet

    - #### getUrl

          public void getUrl()

      Get URL from browser

Copyright © 2015. All Rights Reserved.